﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using VidyaVitamin.Plugin;

namespace VidyaVitamin.Plugin.Thumbnail
{
	[System.ComponentModel.Composition.Export(typeof(IVVCardFormPlugin))]
	[System.ComponentModel.Composition.Export(typeof(IVVReceivable))]
	[System.ComponentModel.Composition.Export(typeof(IVVPlugin))]
	public class Thumbnail : IVVCardFormPlugin, IVVReceivable
	{
		public string PluginName
		{
			get { return Properties.Resources.strPluginName; }
		}

		public Image PluginIcon
		{
			get { return Properties.Resources.icon; }
		}

		public UserControl SidePanel
		{
			get { return null; }
		}

		public IVVForm CreateVVForm(TreeNode pnode, IFirebirdTable table)
		{
			return new ThumbForm(pnode, table, util);
		}

		public bool SingleReceive
		{
			get { return false; }
		}

		public Type FormType
		{
			get { return typeof(ThumbForm); }
		}

		private IVVUtility util = null;
		public void GetUtility(IVVUtility util)
		{
			this.util = util;
		}

		public static readonly string STR_ID = "ID";
		public static readonly string STR_BINARY = "BINARY";
		public static readonly string STR_THUMB = "THUMB";
	}
}
